---
updatedAt: 2025-12-11T11:43:40.000Z
agentTools:
  projectIndex: https://developer.peakon.com/llms.txt
---

# Routing

## Contextual routes

Some requests can be restricted to an arbitrary segment of the company. For example, one may be interested in analyzing the engagement data for all direct reports of a given manager, or the eNPS of a given department.

For illustration purposes, let’s say that the segment id for the Sales Department is 149. The engagement overview for this department can be obtained by the following request:

`GET /api/v1/engagement/contexts/segment_149/overview`

At the moment, the easiest way to obtain the segment id is navigating on the  [Segments page](https://app.peakon.com/dashboard/segments).